import {Component, Vue, Prop, Watch, Emit} from 'vue-property-decorator';

@Component({ name: 'RecordModal' })
export default class RecordModal extends Vue {
  @Prop(Boolean) value;

  showPopup: boolean = false;

  @Watch('value', { immediate: true })
  onValueChange(val) {
    this.showPopup = val;
  }

  @Emit('ok')
  ok() {
    // return;
  }

  @Emit('cancel')
  cancel() {
    // return;
  }
}